from rest_framework.routers import DefaultRouter

from .api_views import (
    BankTransactionViewSet,
    DestinataerViewSet,
    FoerderungViewSet,
    LandVerpachtungViewSet,
    LandViewSet,
    PaechterViewSet,
    StiftungsKalenderEintragViewSet,
    StiftungsKontoViewSet,
    VeranstaltungViewSet,
    VerwaltungskostenViewSet,
)

router = DefaultRouter()
router.register(r"destinataere", DestinataerViewSet)
router.register(r"laendereien", LandViewSet)
router.register(r"paechter", PaechterViewSet)
router.register(r"foerderungen", FoerderungViewSet)
router.register(r"konten", StiftungsKontoViewSet)
router.register(r"verpachtungen", LandVerpachtungViewSet)
router.register(r"verwaltungskosten", VerwaltungskostenViewSet)
router.register(r"kalender", StiftungsKalenderEintragViewSet)
router.register(r"transaktionen", BankTransactionViewSet)
router.register(r"veranstaltungen", VeranstaltungViewSet)

urlpatterns = router.urls
